## hashalot 0.3

=== debian/changelog ===
hashalot (0.3-10) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 01 Feb 2021 21:57:12 +0000

hashalot (0.3-9) unstable; urgency=medium

  * QA upload.
  * Removed no longer needed references to dh-autoreconf from debian/control
    and debian/rules.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
      - Updated VCS fields to use Salsa.
  * debian/copyright:
      - Added 'General' word to 'GNU General Public License', as asked by
        lintian.
      - Updated packaging copyright years.
  * debian/dirs: no longer needed. Removed.
  * debian/lintian-overrides: no longer needed. Removed.
  * debian/patches/20_move_to_usr_bin.patch: created to move the final binary
    and symlinks from usr/sbin to usr/bin.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control: created to perform some trivial CI tests.
  * debian/watch:
      - Bumped version to 4.
      - Using https instead of http.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 26 Mar 2020 12:34:24 -0300

hashalot (0.3-8) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #809257)
  * Migrations:
      - DebSrc to 3.0 format.
      - Using autoreconf now.
  * debian/control:
      - Added the Homepage field.
      - Removed the decimal part (zeroes) from debhelper in Build-Depends
        field.
  * debian/copyright:
      - Moved a license name from GPL to GPL-1.
      - Moved the initial comment put in GPL-1 text to a 'Comment' field.
      - Updated the full text of the GPL-2.
      - Updated and reorganized data about the upstream copyright.
      - Updated the copyright data about the packaging.
  * debian/lintian-overrides/:
      - Moved the debian/lintian-overrides/hashalot to debian/ and renamed
        to lintian-overrides.
      - Updated to use the current lintian message.
  * debian/patches/10_avoid_direct_changes.patch: created to avoid direct
      changes in upstream source code.
  * debian/rules: added the DEB_BUILD_MAINT_OPTIONS variable to improve the
      GCC hardening.
  * debian/watch: improved.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 18 Jan 2016 13:30:46 -0200

hashalot (0.3-7) unstable; urgency=medium

  * Move the VCS from gitorious to gitlab.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 09 Dec 2015 20:46:25 +0100

hashalot (0.3-6) unstable; urgency=low

  * Document that only the first line of input is hashed, for people who
    are looking for a general purpose hasher.  Closes: #544165.
  * Fix warnings from man.
  * Replace debian/rules with dh.
  * Use DEP-5 copyright format.
  * Drop useless README and ancient NEWS.Debian.
  * Upgrade the VCS to git.
    + ... including Vcs- fields (closes: #720265).
  * Upgrade to policy 3.9.5 (build-{arch,indep}), debhelper 9 (hardening).

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 21 May 2014 20:26:47 +0200

hashalot (0.3-5) unstable; urgency=low

  * Fix segfault or wrong output on long input on RMD160, use all of input
    instead of just the first 128 bytes.  Fix by Luc Maisonobe.
  * Use debhelper level 5, don't ignore errors on "make clean".
  * Drop unused /usr/bin.
  * Add Vcs-Svn and Vcs-Browser.
  * Yank away config.{sub,guess}.
  * Add a watch file.
  * Reverted all autotoolage fixes, they're unused but greatly increase the
    diff's size.
  * Recommends -> Suggests, it has changed meaning.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 25 Jan 2008 10:26:46 +0100

hashalot (0.3-4) unstable; urgency=low

  * New maintainer.
  * Policy version 3.7.2 (no changes needed).
  * Updated FSF's address.
  * Enabled the testsuite for non-cross builds.

 -- Adam Borowski <kilobyte@angband.pl>  Thu,  1 Jun 2006 05:07:14 +0200

hashalot (0.3-3) unstable; urgency=low

  * Fix dangling manpage symlinks.
    - Closes: #256689

 -- Matthias Urlichs <smurf@debian.org>  Mon, 28 Jun 2004 19:23:30 +0200

hashalot (0.3-2) unstable; urgency=low

  * Don't install manpage in /usr/man. Sigh.
    - Closes: #256224
  * Don't install cryptsetup; that's now a separate Debian package.
    - Relates to #255676

 -- Matthias Urlichs <smurf@debian.org>  Fri, 25 Jun 2004 17:35:03 +0200

hashalot (0.3-1) unstable; urgency=low

  * New Upstream release.
    - New Upstream source location.
    - Upstream now has a manpage (mine ;-)
    - Closes: #254805
  * Added '-q' option to suppress memory lock warning.
    - Closes: #246430 (the part about hashalot being useless to non-root)
      : could be setuid root instead, pending a security check
    - but I am not moving hashalot to /usr/bin
      : compatibility
      : it's dangerous if called casually (binary output)
  * Recommend dmsetup (called by cryptsetup script)
    - Replacing cryptsetup with a "real" program will happen in one of the
      next versions.

 -- Matthias Urlichs <smurf@debian.org>  Fri, 18 Jun 2004 17:22:20 +0200

hashalot (0.2-4) unstable; urgency=medium

  * Move /usr/sbin/hashalot to /usr/bin.
    - Closes: #246430.

 -- Matthias Urlichs <smurf@debian.org>  Wed,  5 May 2004 04:28:43 +0200

hashalot (0.2-3) unstable; urgency=low

  * Include a stub manpage for cryptsetup

 -- Matthias Urlichs <smurf@debian.org>  Sun, 28 Mar 2004 17:35:48 +0200

hashalot (0.2-2) unstable; urgency=low

  * hashalot.c: Erase the passphrase from memory when using a salt
  * Include the cryptsetup.sh script

 -- Matthias Urlichs <smurf@debian.org>  Tue,  9 Mar 2004 13:12:36 +0100

hashalot (0.2-1) unstable; urgency=low

  * Initial Release.                                              Closes:#237036
  * Tell autoconf to use the config.h header and to allow-maintainer-mode.

