=== debian/control ===
Source: hashalot
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://www.paranoiacs.org/~sluskyb
Vcs-Browser: https://salsa.debian.org/debian/hashalot
Vcs-Git: https://salsa.debian.org/debian/hashalot.git

Package: hashalot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: dmsetup, cryptsetup
Description: Read and hash a passphrase
 This program will read a passphrase from standard input and print a binary
 (not printable) hash to standard output. The output is suitable for use as
 an encryption key.
