=== debian/tests/control ===
Test-Command: echo test | xargs hashalot -x -s aeiou -n 10 -q sha512
