=== debian/watch ===
version=4
https://www.paranoiacs.org/~sluskyb/hacks/hashalot/hashalot-(\d\S+)\.tar\.(?:bz2|gz|xz)
